Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.jaxb
Class JaxbTypeFactory

    java.lang.Object
      org.apache.xmlrpc.common.TypeFactoryImpl
          org.apache.xmlrpc.jaxb.JaxbTypeFactory

All Implemented Interfaces:
  TypeFactory

    public class JaxbTypeFactory

extends TypeFactoryImpl

A type factory with support for JAXB objects.

Constructor Summary
`JaxbTypeFactory(XmlRpcController pController, javax.xml.bind.JAXBContext pContext)` Creates a new instance with the given controller and JAXB context.

Method Summary
`TypeParser` | `getParser(XmlRpcStreamConfig pConfig, org.apache.ws.commons.util.NamespaceContextImpl pContext, java.lang.String pURI, java.lang.String pLocalName)` Creates a parser for a parameter or result object.
`TypeSerializer` | `getSerializer(XmlRpcStreamConfig pConfig, java.lang.Object pObject)` Creates a serializer for the object `pObject`.

Methods inherited from class org.apache.xmlrpc.common.TypeFactoryImpl
`getController`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbTypeFactory

    public JaxbTypeFactory(XmlRpcController pController,
                           javax.xml.bind.JAXBContext pContext)

  Creates a new instance with the given controller and JAXB context.

  Parameters:
    `pController` - The controller, which will invoke the factory.
    `pContext` - The context being used to create marshallers and unmarshallers.

Method Detail

### getParser

    public TypeParser getParser(XmlRpcStreamConfig pConfig,
                                org.apache.ws.commons.util.NamespaceContextImpl pContext,
                                java.lang.String pURI,
                                java.lang.String pLocalName)

  Description copied from interface: `TypeFactory`
  Creates a parser for a parameter or result object.

  Specified by:
    `getParser` in interface `TypeFactory`
  Overrides:
    `getParser` in class `TypeFactoryImpl`
  Parameters:
    `pConfig` - The request configuration.
    `pContext` - A namespace context, for looking up prefix mappings.
    `pURI` - The namespace URI of the element containing the parameter or result.
    `pLocalName` - The local name of the element containing the parameter or result.
  Returns:
    The created parser.

### getSerializer

    public TypeSerializer getSerializer(XmlRpcStreamConfig pConfig,
                                        java.lang.Object pObject)
                                 throws org.xml.sax.SAXException

  Description copied from interface: `TypeFactory`
  Creates a serializer for the object `pObject`.

  Specified by:
    `getSerializer` in interface `TypeFactory`
  Overrides:
    `getSerializer` in class `TypeFactoryImpl`
  Parameters:
    `pConfig` - The request configuration.
    `pObject` - The object being serialized.
  Returns:
    A serializer for `pObject`.
  Throws:
    `org.xml.sax.SAXException` - Creating the serializer failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.